Scripts ne marchent plus sur Firefox

Discussion dans 'Projets communautaires' démarrée par Hildoceras, 5 Mai 2019.

Partager cette page

  1. Hildoceras

    Hildoceras Maire

    Inscrit depuis le :
    16 Novembre 2010
    Messages :
    778
    "J'aime" reçus :
    70
    Il se peut que les scripts ne fonctionnent plus sur Firefox. Et quand vous allez charger Greasemonkey ou Tampermonkey, on vous répond qu'on ne peut pas se connecter pour charger le programme.
    C'est la faute de Mozilla, l'éditeur de Firefox ! En gros ils ont voulu que par sécurité tous les programmeurs utilisent leur application dédiée (une API) et ont bloqué de fait (en faisant expirer un certificat de sécurité) les autres (dont les "monkey" et aussi adblock et d'autres applications).

    Firefox a édité une réparation, un "fix".
    cf. https://venturebeat.com/2019/05/04/...ter-expired-certificate-disabled-all-add-ons/

    Pour les ceusses qui ne lisent pas l'anglais, il faut aller dans dans options>>vie privée et sécurité >>collecte des données par Firefox et utilisation. Là on coche Autoriser Firefox à lancer des études. C'est par ce biais que la réparation arrivera, au bout de 6 heures soi-disant, quelques minutes pour moi. J'ai du relancer les fenêtres de jeu, les scripts ne retrouvant pas les données sur le coup (plus d'amis, plus d'objets dans les listes :D )


    edit : on m'a signalé que ça avait marché pour un autre que moi et dans les mêmes conditions (quelques minutes et relance de la fenêtre)
     
    Dernière édition: 5 Mai 2019
  2. OTTAWA1

    OTTAWA1 Roi de la gâchette

    Inscrit depuis le :
    20 Mars 2015
    Messages :
    2.287
    "J'aime" reçus :
    228
    Yep j'ai entendu dire qu'il fallait prendre Opéra c'est tamper aussi comme FF
     
  3. Hildoceras

    Hildoceras Maire

    Inscrit depuis le :
    16 Novembre 2010
    Messages :
    778
    "J'aime" reçus :
    70
    c'est un problème purement lié à Firefox. Opera, Edge, Chrome ou Safari ne sont pas concernés.
     
  4. Richardson

    Richardson Capitaine

    Inscrit depuis le :
    22 Septembre 2009
    Messages :
    377
    "J'aime" reçus :
    156
    D'accord, je me demandais pourquoi je n'avais pas subi ce bug contrairement à beaucoup d'autres.

    Mais ce genre de... bêtise, me donne envie de retourner sur Opera.
     
  5. Cathy08300

    Cathy08300 Diplomate

    Inscrit depuis le :
    17 Octobre 2013
    Messages :
    1.993
    "J'aime" reçus :
    125
    J'ai également ce gros souci depuis hier :mad: Mon pc est ancien donc je suis à la version 52 de Firefox . Pour moi impossible d'aller autoriser Firefox à lancer des études car je ne le trouve pas :eek:
    Si quelqu'un pouvait me dire comment on fait cela serait sympa car depuis hier je cherche et je n'arrive pas à trouver . Je suis allée dans les 3 petits traits en haut à droite il y a bien marqué vie privée et en dessous sécurité mais rien ne mentionne la collecte des données et autres .

    il faut aller dans dans options>>vie privée et sécurité >>collecte des données par Firefox et utilisation. Là on coche Autoriser Firefox à lancer des études.
     
  6. puma62

    puma62 Conseiller

    Inscrit depuis le :
    20 Février 2018
    Messages :
    174
    "J'aime" reçus :
    13
    bonjour

    j'ai eu le même problème , la solution résolu en 10mn , il fallait tout simplement dégager firefox ,le remettre et réinstaller les scripts

    pourquoi faire compliqué quand on peut faire simple !!
     
    Cathy08300 aime ce message.
  7. Hildoceras

    Hildoceras Maire

    Inscrit depuis le :
    16 Novembre 2010
    Messages :
    778
    "J'aime" reçus :
    70
    :confused: euh... oui... ça marche surement aussi
    clic options, clic vie privée, clic cocher la case
    ou alors
    clic démarrer, clic paramètres, clic applications, clic applications et fonctionnalités, clic Mozilla Firefox clic désinstaller, clic Google, taper firefox clic rechercher, clic télécharger, clic télécharger maintenant, clic exécuter...
    :D
    Remarque avec ça c'est propre. Mieux que ça y a juste le lance-flammes :D
     
    Cathy08300 et Richardson aiment cela.
  8. Cathy08300

    Cathy08300 Diplomate

    Inscrit depuis le :
    17 Octobre 2013
    Messages :
    1.993
    "J'aime" reçus :
    125
    Oui mais tu dois avoir la dernière version de Firefox donc avec la nouvelle versions tout rentre dans l'ordre . Moi je ne peux pas installer la dernière version car mon pc est sous Windows xp .
    Tu as quelle version ?

    Merci Otta :D